#COMPILE EXE
#DIM ALL

FUNCTION Fact (BYVAL n AS LONG) AS LONG
    IF n <= 1 THEN
        FUNCTION = 1
    ELSE
        FUNCTION = n * Fact(n - 1)
    END IF
END FUNCTION

FUNCTION PBMAIN() AS LONG
    LOCAL n AS LONG
    n = Fact(5)
    FUNCTION = 0
END FUNCTION
